Bug 478387 - Unable to suspend/sleep screen during GDM login screen
Unable to suspend/sleep screen during GDM login screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 04:41 EST by Andy Wang
Modified: 2015-01-14 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:25:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2008-12-29 04:41:19 EST
Description of problem:
The newer version of GDM now uses the gnome-power-manager it seems.  The gnome-power-manager resets all X DPMS settings to 0 (effectively disabling suspend/standby/off functionality) and manages it on it's own.  The default is no sleep.

Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot to gdm login screen with a hardware configuration that is capable of sleeping.
2. Wait some amount of time
  
Actual results:
Screen does not suspend/sleep or turn off.

Expected results:
Screen should suspend/sleep or turn off.

Additional info:
I haven't tried this yet, but will when I get a chance, but I'm pretty sure that if I run gconf-editor as the gdm user and add the proper power management settings that I can probably get it to sleep.  However, that's a little ugly.
Comment 1 J.F. Prieur 2009-02-09 11:54:30 EST
FWIW I am experiencing the same issue, when the  I logout and leave my computer at the login screen, the screensaver comes on, then the screen blanks but the LCD monitor never goes into standby. If I just lock my screen as a user, everything works as it should eg. screen saver, blank screen and LCD monitor goes into standby.
Comment 2 tedtheologian 2009-02-12 02:08:43 EST
I'm having the same issue on F10.  Have been completely unable to find out any way to get this fixed.
Comment 3 Chris Poultney 2009-02-20 11:20:36 EST
Per Christopher Beland (beland@alum.mit.edu), this looks like a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=484478  There's a work-around there, but not a real fix.
Comment 4 Andy Wang 2009-02-20 11:41:55 EST
IMO, the main problem here is, there is no reason why the gnome-power-manager should be overriding the default X server's suspend/sleep/off times.  I'm actually getting quite annoyed at Gnome's insistence on doing everything it's own way and ignoring all of the other standard ways of doing this that have existed for so long now.

The gnome-power-manager should be defaulting to the values that the X server has configured instead of resetting them all to 0, and expecting someone to change them via the gnome configuration.
Comment 5 jmccann 2009-02-20 13:39:08 EST
FWIW, this should be fixed in rawhide/f11.
Comment 6 Andy Wang 2009-02-20 14:30:31 EST
That's great news.  Thanks for the heads up.
Comment 7 Bug Zapper 2009-11-18 05:35:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Chris Poultney 2009-11-20 09:57:17 EST
Has anyone verified that this is fixed in a clean f11 install?
Comment 9 Bug Zapper 2009-12-18 02:25:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.